
Foreman - Bug #35331

Tracker # 35378 (New): Provisioning templates improvements

RHEL 9 provisioned host goes into emergency mode after initial reboot

08/04/2022 11:19 AM - Leos Stejskal

Status: Closed   

Priority: High   

Assignee: Leos Stejskal   

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases: 3.4.1, 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link: 2105441 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9399,

https://github.com/theforeman/foreman/p

ull/9425

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2105441

Description of problem:

Provisioning a RHEL 9 host where kernel updates are applied after initial kickstart results in booting to emergency mode due to

failure of initrd-switch-root.service

Related issues:

Related to Foreman - Bug #36150: Issue #35331 / Commit a321f97 breaks non-RHE... New

Related to Foreman - Bug #36065: The CentOS Stream 9 no longer registers to F... New

Associated revisions

Revision a321f97a - 09/15/2022 09:49 AM - Leos Stejskal

Fixes #35331 - Use Anaconda rhsm in kickstart for RHEL 9

Revision 0be534ee - 09/19/2022 09:25 AM - Leos Stejskal

refs #35331 - Anaconda rhsm RHEL 9 params fix

History

#1 - 08/04/2022 11:21 AM - Leos Stejskal

- Subject changed from b'RHEL 9 provisioned host goes into emergency mode after initial reboot'

 to RHEL 9 provisioned host goes into emergency mode after initial reboot

- Description updated

#2 - 08/17/2022 12:02 PM - Leos Stejskal

- Parent task set to #35378

#3 - 08/17/2022 12:04 PM - Leos Stejskal

- Assignee set to Leos Stejskal

#4 - 09/01/2022 12:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9399 added

#5 - 09/15/2022 09:50 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added
#6 - 09/15/2022 10:01 AM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a321f97a51467dcac074bc0b5851985e23ece09a.

#7 - 09/16/2022 07:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9425 added

#8 - 10/31/2022 12:48 PM - The Foreman Bot

- Fixed in Releases 3.4.1 added

#9 - 11/28/2022 01:41 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

#10 - 03/07/2023 06:01 AM - Gerald Vogt

While this may work for RHEL 9 it'll break it for RHEL derivates like alma or rocky. The subscription module is specifically set to forbidden in the

installer for alma:

https://github.com/rhinstaller/anaconda/blob/87dd2a45c0e74173816f1d7adf21f70db5309049/data/profile.d/almalinux.conf#L13

See discussion

https://community.theforeman.org/t/el9-kickstart-using-rhsm/32666

#11 - 03/07/2023 09:59 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #36150: Issue #35331 / Commit a321f97 breaks non-RHEL EL9 Provisioning added

#12 - 03/07/2023 10:01 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #36065: The CentOS Stream 9 no longer registers to Foreman/Katello even though it's installed from the synced content added
